﻿using System.ComponentModel.Design;
using System.Windows.Forms.Design;

namespace MyControls
{
    public class MyButtonDesigner: ControlDesigner
    {
        private DesignerActionListCollection _myButtonActionLists;

        public override DesignerActionListCollection ActionLists
        {
            get
            {
                if (_myButtonActionLists is null)
                {
                    _myButtonActionLists = new DesignerActionListCollection
                    {
                        new MyButtonActionList(Component)
                    };
                }
                return _myButtonActionLists;
            }
        }
    }
}